﻿using System;
using HeuristicLab.Common;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Core.Networks {
  [StorableClass]
  public class VisualProperties : DeepCloneable, IVisualProperties {
    #region Constructors & Cloning
    [StorableConstructor]
    protected VisualProperties(bool deserializing) : base() { }
    protected VisualProperties(VisualProperties original, Cloner cloner)
      : base(original, cloner) { }

    public VisualProperties() { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new VisualProperties(this, cloner);
    }
    #endregion

    public event EventHandler Changed;
    protected virtual void OnChanged() {
      var handler = Changed;
      if (handler != null) handler(this, EventArgs.Empty);
    }
  }
}
